Name:           kfilefactory
Version:        0.1.1
Release:        11%{?dist}
Summary:        An application for sharing files on FileFactory

Group:          Applications/Internet
License:        GPLv2
URL:            http://kde-apps.org/content/show.php/kfilefactory?content=105900 
Source0:        http://kde-apps.org/CONTENT/content-files/105900-%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# This patch fixes the path of the kfilefactory executable.
Patch0:         kfilefactory_desktop_file.patch

BuildRequires:  desktop-file-utils, kde-filesystem
Requires:       kde-filesystem
Requires:       perl, perl-libwww-perl

%description
kfilefactory installs an action menu in dolphin.
It compresses a file or directory and uploads the resulting password protected 
zip file to filefactory.com.

%prep
%setup -q
%patch0 -p1

%build


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 0755 kfilefactory_kde4.pl $RPM_BUILD_ROOT%{_kde4_libexecdir}/kfilefactory
install -Dpm 0755 kfilefactory.desktop $RPM_BUILD_ROOT%{_kde4_datadir}/kde4/services/ServiceMenus/kfilefactory.desktop 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_kde4_libexecdir}/kfilefactory
%{_kde4_datadir}/kde4/services/ServiceMenus/kfilefactory.desktop
%doc CHANGELOG LICENSE README

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 05 2015 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-9
- Requires: s/kdebase-workspace/kde-filesystem/

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.1.1-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jun 6 2010 Aditya Patawari <adimania@fedoraproject.org> - 0.1.1-1
- Initial Build
